%global pypiname	ripe.atlas.sagan
%global srcname		ripe-atlas-sagan

%global deps_py3	python3-pyOpenSSL python3-dateutil python3-pytz python-IPy-python3
%global deps_extra_py3	python3-ujson
%global deps_tests_py3	python3-nose

%global deps_py2	pyOpenSSL python-dateutil python2-pytz python-IPy
%global deps_extra_py2	python2-ujson
%global deps_tests_py2	python2-nose

Name:		python-%{srcname}
Version:	1.1.10
Release:	1%{?dist}
Summary:	A parsing library for RIPE Atlas measurement results

License:	GPLv3
URL:		https://pypi.python.org/pypi/%{pypiname}/
Source0:	https://pypi.python.org/packages/source/r/%{pypiname}/%{pypiname}-%{version}.tar.gz

BuildArch:	noarch

%description
The ripe.atlas.sagan is a Python library for parsing RIPE Atlas measurement
results.

%package -n python3-%{srcname}
Summary:	A parsing library for RIPE Atlas measurement results
BuildRequires:	python3-devel
BuildRequires:	%deps_py3 %deps_extra_py3 %deps_tests_py3
Requires:	%deps_py3
Recommends:	%deps_extra_py3
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
The ripe.atlas.sagan is a Python library for parsing RIPE Atlas measurement
results.

This package contains the library for Python 3.

%package -n python2-%{srcname}
Summary:	A parsing library for RIPE Atlas measurement results
BuildRequires:	python2-devel
BuildRequires:	%deps_py2 %deps_extra_py2 %deps_tests_py2
Requires:	%deps_py2
Recommends:	%deps_extra_py2
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
The ripe.atlas.sagan is a Python library for parsing RIPE Atlas measurement
results.

This package contains the library for Python 2.

%prep
%setup -q -n %{pypiname}-%{version}

%build
%py2_build
%py3_build

%install
%py3_install
%py2_install

%check
%__python2 setup.py check nosetests
%__python3 setup.py check nosetests

%files -n python3-%{srcname}
%{!?_licensedir:%global license %%doc}
%doc README.rst
%license LICENSE
%{python3_sitelib}/*

%files -n python2-%{srcname}
%{!?_licensedir:%global license %%doc}
%doc README.rst
%license LICENSE
%{python2_sitelib}/*

%changelog
* Wed Mar 09 2016 Jan Vcelak <jvcelak@fedoraproject.org> 1.1.10-1
- new upstream release

* Thu Jan 21 2016 Jan Vcelak <jvcelak@fedoraproject.org> 1.1.8-3
- rename the source RPM

* Tue Jan 19 2016 Jan Vcelak <jvcelak@fedoraproject.org> 1.1.8-2
- remove parse_abuf script (it will be deprecated in the next release)

* Thu Dec 31 2015 Jan Vcelak <jvcelak@fedoraproject.org> 1.1.8-1
- initial package
